For the complete documentation index, see llms.txt. This page is also available as Markdown.

Projects

get

Retrieve Projects.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/projects/
GET /api/v1/dashboard/projects/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "description": "text",
    "status": "draft",
    "logo": "https://example.com",
    "images": [
      {
        "image": "https://example.com"
      }
    ],
    "links": [
      {
        "id": "text",
        "label": "text",
        "url": "text",
        "position": 1
      }
    ],
    "skills": [
      {
        "id": "text",
        "name": "text",
        "code": "text",
        "icon": "text"
      }
    ],
    "members": [
      {
        "id": "text",
        "is_linked": "text",
        "user_id": "text",
        "muid": "text",
        "full_name": "text",
        "profile_pic": "text",
        "external_name": "text",
        "role": "text",
        "created_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "votes": [
      {
        "id": "text",
        "vote": "upvote",
        "project": "text",
        "user": "text",
        "user_id": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "comments": [
      {
        "id": "text",
        "comment": "text",
        "project": "text",
        "user": "text",
        "user_id": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "created_by": "text",
    "created_by_id": "text",
    "updated_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Projects.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Body

Accepts create / partial-update payload. Logo + images come as files; links + skills come as JSON-encoded strings (because the request is multipart/form-data).

titlestring · max: 50Optional
descriptionstringOptional
statusstring · enumOptional
  • draft - Draft
  • published - Published
  • archived - Archived
Possible values:
logostring · uri · nullableOptional
links_jsonstringWrite-onlyOptional
skill_ids_jsonstringWrite-onlyOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/projects/
POST /api/v1/dashboard/projects/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 127

{
  "title": "text",
  "description": "text",
  "status": "draft",
  "logo": "https://example.com",
  "links_json": "text",
  "skill_ids_json": "text"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "description": "text",
    "status": "draft",
    "logo": "https://example.com",
    "images": [
      {
        "image": "https://example.com"
      }
    ],
    "links": [
      {
        "id": "text",
        "label": "text",
        "url": "text",
        "position": 1
      }
    ],
    "skills": [
      {
        "id": "text",
        "name": "text",
        "code": "text",
        "icon": "text"
      }
    ],
    "members": [
      {
        "id": "text",
        "is_linked": "text",
        "user_id": "text",
        "muid": "text",
        "full_name": "text",
        "profile_pic": "text",
        "external_name": "text",
        "role": "text",
        "created_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "votes": [
      {
        "id": "text",
        "vote": "upvote",
        "project": "text",
        "user": "text",
        "user_id": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "comments": [
      {
        "id": "text",
        "comment": "text",
        "project": "text",
        "user": "text",
        "user_id": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "created_by": "text",
    "created_by_id": "text",
    "updated_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
get

Retrieve Project Detail.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstring · uuidRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/projects/{id}/
GET /api/v1/dashboard/projects/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "description": "text",
    "status": "draft",
    "logo": "https://example.com",
    "images": [
      {
        "image": "https://example.com"
      }
    ],
    "links": [
      {
        "id": "text",
        "label": "text",
        "url": "text",
        "position": 1
      }
    ],
    "skills": [
      {
        "id": "text",
        "name": "text",
        "code": "text",
        "icon": "text"
      }
    ],
    "members": [
      {
        "id": "text",
        "is_linked": "text",
        "user_id": "text",
        "muid": "text",
        "full_name": "text",
        "profile_pic": "text",
        "external_name": "text",
        "role": "text",
        "created_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "votes": [
      {
        "id": "text",
        "vote": "upvote",
        "project": "text",
        "user": "text",
        "user_id": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "comments": [
      {
        "id": "text",
        "comment": "text",
        "project": "text",
        "user": "text",
        "user_id": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "created_by": "text",
    "created_by_id": "text",
    "updated_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
put

Update Project Detail.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstring · uuidRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/dashboard/projects/{id}/
PUT /api/v1/dashboard/projects/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "description": "text",
    "status": "draft",
    "logo": "https://example.com",
    "images": [
      {
        "image": "https://example.com"
      }
    ],
    "links": [
      {
        "id": "text",
        "label": "text",
        "url": "text",
        "position": 1
      }
    ],
    "skills": [
      {
        "id": "text",
        "name": "text",
        "code": "text",
        "icon": "text"
      }
    ],
    "members": [
      {
        "id": "text",
        "is_linked": "text",
        "user_id": "text",
        "muid": "text",
        "full_name": "text",
        "profile_pic": "text",
        "external_name": "text",
        "role": "text",
        "created_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "votes": [
      {
        "id": "text",
        "vote": "upvote",
        "project": "text",
        "user": "text",
        "user_id": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "comments": [
      {
        "id": "text",
        "comment": "text",
        "project": "text",
        "user": "text",
        "user_id": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "created_by": "text",
    "created_by_id": "text",
    "updated_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
delete

Delete Project Detail.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstring · uuidRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/projects/{id}/
DELETE /api/v1/dashboard/projects/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "description": "text",
    "status": "draft",
    "logo": "https://example.com",
    "images": [
      {
        "image": "https://example.com"
      }
    ],
    "links": [
      {
        "id": "text",
        "label": "text",
        "url": "text",
        "position": 1
      }
    ],
    "skills": [
      {
        "id": "text",
        "name": "text",
        "code": "text",
        "icon": "text"
      }
    ],
    "members": [
      {
        "id": "text",
        "is_linked": "text",
        "user_id": "text",
        "muid": "text",
        "full_name": "text",
        "profile_pic": "text",
        "external_name": "text",
        "role": "text",
        "created_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "votes": [
      {
        "id": "text",
        "vote": "upvote",
        "project": "text",
        "user": "text",
        "user_id": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "comments": [
      {
        "id": "text",
        "comment": "text",
        "project": "text",
        "user": "text",
        "user_id": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "created_by": "text",
    "created_by_id": "text",
    "updated_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
patch

Partially update Project Status.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstring · uuidRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
patch/api/v1/dashboard/projects/{id}/status/
PATCH /api/v1/dashboard/projects/{id}/status/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "title": "text",
    "description": "text",
    "status": "draft",
    "logo": "https://example.com",
    "images": [
      {
        "image": "https://example.com"
      }
    ],
    "links": [
      {
        "id": "text",
        "label": "text",
        "url": "text",
        "position": 1
      }
    ],
    "skills": [
      {
        "id": "text",
        "name": "text",
        "code": "text",
        "icon": "text"
      }
    ],
    "members": [
      {
        "id": "text",
        "is_linked": "text",
        "user_id": "text",
        "muid": "text",
        "full_name": "text",
        "profile_pic": "text",
        "external_name": "text",
        "role": "text",
        "created_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "votes": [
      {
        "id": "text",
        "vote": "upvote",
        "project": "text",
        "user": "text",
        "user_id": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "comments": [
      {
        "id": "text",
        "comment": "text",
        "project": "text",
        "user": "text",
        "user_id": "text",
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2026-01-01T00:00:00.000Z"
      }
    ],
    "created_by": "text",
    "created_by_id": "text",
    "updated_by": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
get

Retrieve Project Member.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
project_idstring · uuidRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/projects/{project_id}/members/
GET /api/v1/dashboard/projects/{project_id}/members/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "is_linked": "text",
    "user_id": "text",
    "muid": "text",
    "full_name": "text",
    "profile_pic": "text",
    "external_name": "text",
    "role": "text",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Project Member.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
project_idstring · uuidRequired
Body

Accepts exactly one identity: muid, user_id, or external_name.

muidstringOptional
user_idstringOptional
external_namestring · max: 100Optional
rolestring · max: 50 · nullableOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/projects/{project_id}/members/
POST /api/v1/dashboard/projects/{project_id}/members/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 69

{
  "muid": "text",
  "user_id": "text",
  "external_name": "text",
  "role": "text"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "is_linked": "text",
    "user_id": "text",
    "muid": "text",
    "full_name": "text",
    "profile_pic": "text",
    "external_name": "text",
    "role": "text",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
delete

Delete Project Member.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
project_idstring · uuidRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/projects/{project_id}/members/
DELETE /api/v1/dashboard/projects/{project_id}/members/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "is_linked": "text",
    "user_id": "text",
    "muid": "text",
    "full_name": "text",
    "profile_pic": "text",
    "external_name": "text",
    "role": "text",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
get

Retrieve Project Member.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstring · uuidRequired
project_idstring · uuidRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/projects/{project_id}/members/{id}/
GET /api/v1/dashboard/projects/{project_id}/members/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "is_linked": "text",
    "user_id": "text",
    "muid": "text",
    "full_name": "text",
    "profile_pic": "text",
    "external_name": "text",
    "role": "text",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Project Member.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstring · uuidRequired
project_idstring · uuidRequired
Body

Accepts exactly one identity: muid, user_id, or external_name.

muidstringOptional
user_idstringOptional
external_namestring · max: 100Optional
rolestring · max: 50 · nullableOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/projects/{project_id}/members/{id}/
POST /api/v1/dashboard/projects/{project_id}/members/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 69

{
  "muid": "text",
  "user_id": "text",
  "external_name": "text",
  "role": "text"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "is_linked": "text",
    "user_id": "text",
    "muid": "text",
    "full_name": "text",
    "profile_pic": "text",
    "external_name": "text",
    "role": "text",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
delete

Delete Project Member.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstring · uuidRequired
project_idstring · uuidRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/projects/{project_id}/members/{id}/
DELETE /api/v1/dashboard/projects/{project_id}/members/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "is_linked": "text",
    "user_id": "text",
    "muid": "text",
    "full_name": "text",
    "profile_pic": "text",
    "external_name": "text",
    "role": "text",
    "created_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Project Comment.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Body
idstring · max: 36Optional
commentstringRequired
projectstringRequired
userstringRead-onlyRequired
user_idstringRead-onlyRequired
created_atstring · date-timeRead-onlyRequired
updated_atstring · date-timeRead-onlyRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/projects/comment/
POST /api/v1/dashboard/projects/comment/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "id": "text",
  "comment": "text",
  "project": "text"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "comment": "text",
    "project": "text",
    "user": "text",
    "user_id": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
put

Update Project Comment.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/dashboard/projects/comment/
PUT /api/v1/dashboard/projects/comment/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "comment": "text",
    "project": "text",
    "user": "text",
    "user_id": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
delete

Delete Project Comment.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/projects/comment/
DELETE /api/v1/dashboard/projects/comment/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "comment": "text",
    "project": "text",
    "user": "text",
    "user_id": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Project Comment.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstring · uuidRequired
Body
idstring · max: 36Optional
commentstringRequired
projectstringRequired
userstringRead-onlyRequired
user_idstringRead-onlyRequired
created_atstring · date-timeRead-onlyRequired
updated_atstring · date-timeRead-onlyRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/projects/comment/{id}/
POST /api/v1/dashboard/projects/comment/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "id": "text",
  "comment": "text",
  "project": "text"
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "comment": "text",
    "project": "text",
    "user": "text",
    "user_id": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
put

Update Project Comment.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstring · uuidRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
put/api/v1/dashboard/projects/comment/{id}/
PUT /api/v1/dashboard/projects/comment/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "comment": "text",
    "project": "text",
    "user": "text",
    "user_id": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
delete

Delete Project Comment.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstring · uuidRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/projects/comment/{id}/
DELETE /api/v1/dashboard/projects/comment/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "comment": "text",
    "project": "text",
    "user": "text",
    "user_id": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Project Vote.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/projects/vote/
POST /api/v1/dashboard/projects/vote/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "vote": "upvote",
    "project": "text",
    "user": "text",
    "user_id": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
delete

Delete Project Vote.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/projects/vote/
DELETE /api/v1/dashboard/projects/vote/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "vote": "upvote",
    "project": "text",
    "user": "text",
    "user_id": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
post

Create Project Vote.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstring · uuidRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/projects/vote/{id}/
POST /api/v1/dashboard/projects/vote/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "vote": "upvote",
    "project": "text",
    "user": "text",
    "user_id": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}
delete

Delete Project Vote.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
idstring · uuidRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
delete/api/v1/dashboard/projects/vote/{id}/
DELETE /api/v1/dashboard/projects/vote/{id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "vote": "upvote",
    "project": "text",
    "user": "text",
    "user_id": "text",
    "created_at": "2026-01-01T00:00:00.000Z",
    "updated_at": "2026-01-01T00:00:00.000Z"
  }
}

Last updated

Was this helpful?